Source: python-envisage
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-apptools,
 python3-configobj <!nocheck>,
 python3-setuptools,
 python3-traitsui (>= 7) <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-envisage.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-envisage
Homepage: https://docs.enthought.com/envisage/

Package: python3-envisage
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 python3-apptools, python3-setuptools, python3-traits
Description: Extensible Application Framework
 Envisage is a Python-based framework for building extensible
 applications, that is, applications whose functionality can be
 extended by adding "plug-ins". Envisage provides a standard mechanism
 for features to be added to an application, whether by the original
 developer or by someone else. In fact, when you build an application
 using Envisage, the entire application consists primarily of
 plug-ins. In this respect, it is similar to the Eclipse and Netbeans
 frameworks for Java applications.
